# Inverse hyperbolic sine transformation(flowCore version).

Source: `R/scales_flowCore_fasinh.R`
`flowCore_asinht_trans.Rd`

Used to construct inverse hyperbolic sine transform object.

    flowCore_asinht_trans(..., n = 6, equal.space = FALSE)

## Arguments

... | parameters passed to arcsinhTransform
n | desired number of breaks (the actual number will be different depending on the data range)
equal.space | whether breaks at equal-spaced intervals

## Value

asinht transformation object

## Examples

    trans.obj <- flowCore_asinht_trans(equal.space = TRUE)
    data <- 1:1e3
    brks.func <- trans.obj[["breaks"]]
    brks <- brks.func(data)
    brks # fasinh space displayed at raw data scale#> [1]    0.1752012    4.4662292   21.3394069   89.6333627  366.5469144
    #> [6] 1489.4788258
    #transform it to verify it is equal-spaced at transformed scale
    trans.func <- trans.obj[["transform"]]
    brks.trans <- trans.func(brks)
    brks.trans#> [1] 1.0 2.4 3.8 5.2 6.6 8.0